1. Registry
  2. Packages
  3. Databricks Provider
  4. API Docs
  5. getSandboxes
Viewing docs for Databricks v1.112.0
published on Thursday, Sep 24, 2026 by Pulumi
databricks logo databricks logo
Viewing docs for Databricks v1.112.0
published on Thursday, Sep 24, 2026 by Pulumi

    Public Beta

    API Documentation

    Lists the Sandboxes visible to the caller in the workspace, returning each sandbox’s spec and current runtime status. Use this data source to enumerate existing sandboxes.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as databricks from "@pulumi/databricks";
    
    const all = databricks.getSandboxes({});
    
    import pulumi
    import pulumi_databricks as databricks
    
    all = databricks.get_sandboxes()
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-databricks/sdk/go/databricks"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := databricks.GetSandboxes(ctx, &databricks.GetSandboxesArgs{}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Databricks = Pulumi.Databricks;
    
    return await Deployment.RunAsync(() => 
    {
        var all = Databricks.GetSandboxes.Invoke();
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.databricks.DatabricksFunctions;
    import com.pulumi.databricks.inputs.GetSandboxesArgs;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var all = DatabricksFunctions.getSandboxes(GetSandboxesArgs.builder()
                .build());
    
        }
    }
    
    variables:
      all:
        fn::invoke:
          function: databricks:getSandboxes
          arguments: {}
    
    pulumi {
      required_providers {
        databricks = {
          source = "pulumi/databricks"
        }
      }
    }
    
    data "databricks_getsandboxes" "all" {
    }
    

    Using getSandboxes

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getSandboxes(args: GetSandboxesArgs, opts?: InvokeOptions): Promise<GetSandboxesResult>
    function getSandboxesOutput(args: GetSandboxesOutputArgs, opts?: InvokeOutputOptions): Output<GetSandboxesResult>
    def get_sandboxes(page_size: Optional[int] = None,
                      provider_config: Optional[GetSandboxesProviderConfig] = None,
                      opts: Optional[InvokeOptions] = None) -> GetSandboxesResult
    def get_sandboxes_output(page_size: pulumi.Input[Optional[int]] = None,
                      provider_config: pulumi.Input[Optional[GetSandboxesProviderConfigArgs]] = None,
                      opts: Optional[InvokeOutputOptions] = None) -> Output[GetSandboxesResult]
    func GetSandboxes(ctx *Context, args *GetSandboxesArgs, opts ...InvokeOption) (*GetSandboxesResult, error)
    func GetSandboxesOutput(ctx *Context, args *GetSandboxesOutputArgs, opts ...InvokeOption) GetSandboxesResultOutput

    > Note: This function is named GetSandboxes in the Go SDK.

    public static class GetSandboxes 
    {
        public static Task<GetSandboxesResult> InvokeAsync(GetSandboxesArgs args, InvokeOptions? opts = null)
        public static Output<GetSandboxesResult> Invoke(GetSandboxesInvokeArgs args, InvokeOptions? opts = null)
        public static Output<GetSandboxesResult> Invoke(GetSandboxesInvokeArgs args, InvokeOutputOptions opts)
    }
    public static CompletableFuture<GetSandboxesResult> getSandboxes(GetSandboxesArgs args, InvokeOptions options)
    public static Output<GetSandboxesResult> getSandboxes(GetSandboxesArgs args, InvokeOptions options)
    public static Output<GetSandboxesResult> getSandboxes(GetSandboxesArgs args, InvokeOutputOptions options)
    
    fn::invoke:
      function: databricks:index/getSandboxes:getSandboxes
      arguments:
        # arguments dictionary
    data "databricks_get_sandboxes" "name" {
        # arguments
    }

    The following arguments are supported:

    PageSize int
    ProviderConfig GetSandboxesProviderConfig
    Configure the provider for management through account provider.
    PageSize int
    ProviderConfig GetSandboxesProviderConfig
    Configure the provider for management through account provider.
    page_size number
    provider_config object
    Configure the provider for management through account provider.
    pageSize Integer
    providerConfig GetSandboxesProviderConfig
    Configure the provider for management through account provider.
    pageSize number
    providerConfig GetSandboxesProviderConfig
    Configure the provider for management through account provider.
    page_size int
    provider_config GetSandboxesProviderConfig
    Configure the provider for management through account provider.
    pageSize Number
    providerConfig Property Map
    Configure the provider for management through account provider.

    getSandboxes Result

    The following output properties are available:

    Supporting Types

    GetSandboxesProviderConfig

    WorkspaceId string
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
    WorkspaceId string
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
    workspace_id string
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
    workspaceId String
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
    workspaceId string
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
    workspace_id str
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
    workspaceId String
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.

    GetSandboxesSandbox

    CreateTime string
    (string) - Output only. The creation time of the sandbox
    DisplayName string
    (string) - Human-readable display label for the sandbox. At most 256 characters
    Name string
    (string) - The sandbox resource name, in the form sandboxes/{sandbox_id}. Derived from sandboxId; any value supplied in a create or update request body is ignored
    Spec GetSandboxesSandboxSpec
    (SandboxSpec) - The desired configuration of the sandbox, supplied by the caller at creation time
    Status GetSandboxesSandboxStatus
    (SandboxStatus) - The observed runtime state of the sandbox, populated by the server
    UpdateTime string
    (string) - Output only. The last update time of the sandbox metadata and spec
    ProviderConfig GetSandboxesSandboxProviderConfig
    Configure the provider for management through account provider.
    CreateTime string
    (string) - Output only. The creation time of the sandbox
    DisplayName string
    (string) - Human-readable display label for the sandbox. At most 256 characters
    Name string
    (string) - The sandbox resource name, in the form sandboxes/{sandbox_id}. Derived from sandboxId; any value supplied in a create or update request body is ignored
    Spec GetSandboxesSandboxSpec
    (SandboxSpec) - The desired configuration of the sandbox, supplied by the caller at creation time
    Status GetSandboxesSandboxStatus
    (SandboxStatus) - The observed runtime state of the sandbox, populated by the server
    UpdateTime string
    (string) - Output only. The last update time of the sandbox metadata and spec
    ProviderConfig GetSandboxesSandboxProviderConfig
    Configure the provider for management through account provider.
    create_time string
    (string) - Output only. The creation time of the sandbox
    display_name string
    (string) - Human-readable display label for the sandbox. At most 256 characters
    name string
    (string) - The sandbox resource name, in the form sandboxes/{sandbox_id}. Derived from sandboxId; any value supplied in a create or update request body is ignored
    spec object
    (SandboxSpec) - The desired configuration of the sandbox, supplied by the caller at creation time
    status object
    (SandboxStatus) - The observed runtime state of the sandbox, populated by the server
    update_time string
    (string) - Output only. The last update time of the sandbox metadata and spec
    provider_config object
    Configure the provider for management through account provider.
    createTime String
    (string) - Output only. The creation time of the sandbox
    displayName String
    (string) - Human-readable display label for the sandbox. At most 256 characters
    name String
    (string) - The sandbox resource name, in the form sandboxes/{sandbox_id}. Derived from sandboxId; any value supplied in a create or update request body is ignored
    spec GetSandboxesSandboxSpec
    (SandboxSpec) - The desired configuration of the sandbox, supplied by the caller at creation time
    status GetSandboxesSandboxStatus
    (SandboxStatus) - The observed runtime state of the sandbox, populated by the server
    updateTime String
    (string) - Output only. The last update time of the sandbox metadata and spec
    providerConfig GetSandboxesSandboxProviderConfig
    Configure the provider for management through account provider.
    createTime string
    (string) - Output only. The creation time of the sandbox
    displayName string
    (string) - Human-readable display label for the sandbox. At most 256 characters
    name string
    (string) - The sandbox resource name, in the form sandboxes/{sandbox_id}. Derived from sandboxId; any value supplied in a create or update request body is ignored
    spec GetSandboxesSandboxSpec
    (SandboxSpec) - The desired configuration of the sandbox, supplied by the caller at creation time
    status GetSandboxesSandboxStatus
    (SandboxStatus) - The observed runtime state of the sandbox, populated by the server
    updateTime string
    (string) - Output only. The last update time of the sandbox metadata and spec
    providerConfig GetSandboxesSandboxProviderConfig
    Configure the provider for management through account provider.
    create_time str
    (string) - Output only. The creation time of the sandbox
    display_name str
    (string) - Human-readable display label for the sandbox. At most 256 characters
    name str
    (string) - The sandbox resource name, in the form sandboxes/{sandbox_id}. Derived from sandboxId; any value supplied in a create or update request body is ignored
    spec GetSandboxesSandboxSpec
    (SandboxSpec) - The desired configuration of the sandbox, supplied by the caller at creation time
    status GetSandboxesSandboxStatus
    (SandboxStatus) - The observed runtime state of the sandbox, populated by the server
    update_time str
    (string) - Output only. The last update time of the sandbox metadata and spec
    provider_config GetSandboxesSandboxProviderConfig
    Configure the provider for management through account provider.
    createTime String
    (string) - Output only. The creation time of the sandbox
    displayName String
    (string) - Human-readable display label for the sandbox. At most 256 characters
    name String
    (string) - The sandbox resource name, in the form sandboxes/{sandbox_id}. Derived from sandboxId; any value supplied in a create or update request body is ignored
    spec Property Map
    (SandboxSpec) - The desired configuration of the sandbox, supplied by the caller at creation time
    status Property Map
    (SandboxStatus) - The observed runtime state of the sandbox, populated by the server
    updateTime String
    (string) - Output only. The last update time of the sandbox metadata and spec
    providerConfig Property Map
    Configure the provider for management through account provider.

    GetSandboxesSandboxProviderConfig

    WorkspaceId string
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
    WorkspaceId string
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
    workspace_id string
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
    workspaceId String
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
    workspaceId string
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
    workspace_id str
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
    workspaceId String
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.

    GetSandboxesSandboxSpec

    Compute GetSandboxesSandboxSpecCompute
    (ComputeSpec) - Compute configuration (size, inactivity timeout) requested for the sandbox
    Compute GetSandboxesSandboxSpecCompute
    (ComputeSpec) - Compute configuration (size, inactivity timeout) requested for the sandbox
    compute object
    (ComputeSpec) - Compute configuration (size, inactivity timeout) requested for the sandbox
    compute GetSandboxesSandboxSpecCompute
    (ComputeSpec) - Compute configuration (size, inactivity timeout) requested for the sandbox
    compute GetSandboxesSandboxSpecCompute
    (ComputeSpec) - Compute configuration (size, inactivity timeout) requested for the sandbox
    compute GetSandboxesSandboxSpecCompute
    (ComputeSpec) - Compute configuration (size, inactivity timeout) requested for the sandbox
    compute Property Map
    (ComputeSpec) - Compute configuration (size, inactivity timeout) requested for the sandbox

    GetSandboxesSandboxSpecCompute

    InactivityTimeout string
    (string) - Idle duration after which the sandbox is automatically terminated
    InactivityTimeout string
    (string) - Idle duration after which the sandbox is automatically terminated
    inactivity_timeout string
    (string) - Idle duration after which the sandbox is automatically terminated
    inactivityTimeout String
    (string) - Idle duration after which the sandbox is automatically terminated
    inactivityTimeout string
    (string) - Idle duration after which the sandbox is automatically terminated
    inactivity_timeout str
    (string) - Idle duration after which the sandbox is automatically terminated
    inactivityTimeout String
    (string) - Idle duration after which the sandbox is automatically terminated

    GetSandboxesSandboxStatus

    State string
    (string) - Lifecycle state of the sandbox. Possible values are: SANDBOX_STATE_PENDING, SANDBOX_STATE_RUNNING, SANDBOX_STATE_STOPPED, SANDBOX_STATE_STOPPING
    State string
    (string) - Lifecycle state of the sandbox. Possible values are: SANDBOX_STATE_PENDING, SANDBOX_STATE_RUNNING, SANDBOX_STATE_STOPPED, SANDBOX_STATE_STOPPING
    state string
    (string) - Lifecycle state of the sandbox. Possible values are: SANDBOX_STATE_PENDING, SANDBOX_STATE_RUNNING, SANDBOX_STATE_STOPPED, SANDBOX_STATE_STOPPING
    state String
    (string) - Lifecycle state of the sandbox. Possible values are: SANDBOX_STATE_PENDING, SANDBOX_STATE_RUNNING, SANDBOX_STATE_STOPPED, SANDBOX_STATE_STOPPING
    state string
    (string) - Lifecycle state of the sandbox. Possible values are: SANDBOX_STATE_PENDING, SANDBOX_STATE_RUNNING, SANDBOX_STATE_STOPPED, SANDBOX_STATE_STOPPING
    state str
    (string) - Lifecycle state of the sandbox. Possible values are: SANDBOX_STATE_PENDING, SANDBOX_STATE_RUNNING, SANDBOX_STATE_STOPPED, SANDBOX_STATE_STOPPING
    state String
    (string) - Lifecycle state of the sandbox. Possible values are: SANDBOX_STATE_PENDING, SANDBOX_STATE_RUNNING, SANDBOX_STATE_STOPPED, SANDBOX_STATE_STOPPING

    Package Details

    Repository
    databricks pulumi/pulumi-databricks
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the databricks Terraform Provider.
    databricks logo databricks logo
    Viewing docs for Databricks v1.112.0
    published on Thursday, Sep 24, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial